Subject: [TR] Tr-so there I was

From: Lawrence Schwartz <[email-masked]>
Date: Sun, 6 Jul 2014 16:53:53 -0400

Today taking a walk in Manhattan a brand new Lamborghini convertible pulls up
and stops at a red light. the young male driver driving solo was bleeping the
gas pedal at the light thinking he was Kool Moe Zee. Slight changes and he
goes to parallel park the car. While doing so he backs the rear wheel into the
curb and his head goes down in dismay. Act like a jerk and you pay the price.
Larry Schwartz

** [email-masked] **

Archive: http://www.team.net/archive